/*
 ---------------------------------------------------------------------------
  fndtest.c
  (C) Giuseppe Maxia 1992

  purpose:      test program for THESEUS.EXE

  syntax:       fndtest FirstName SecondName
  description:  fndtest accept two names, calculates a simple checksum for
                each then returns 0 if two results are equal, 1 otherwise.

  compilation: (any C compiler that support ANSI standard)
               borland C++          bcc -mt -O2 -lt fndtest.c
               Power C              pc /e fndtest.c

  sample usage: THESEUS xpl name=*.exe .and. extern="fndtest.com $NA FINDER"

 ---------------------------------------------------------------------------
*/

int main(int argc, char *argv[])
{
     long CSresults[2] = {0,0};                 /* store CS results     */
     int i;                                     /* loop count           */
     if (argc < 3)                              /* check for correct    */
           return 1;                            /* argument number      */
     for (i = 0 ; i < 2 ; i++)
     {
         char c;
         while ((c = *(argv[i+1])++) != 0 )     /* read input character */
         {
             if (( c >= 'a') && ( c <= 'z'))
                 c -= 0x20;                     /* uppercase input char */
             CSresults[i] += c;                 /* increment CS counter */
         }
     }
     return (CSresults[0] == CSresults[1]) ? 0 : 1; /* returns errorlevel */
}
